Fedora 22: slapi-nis Security Update

    Date31 Mar 2015
    CategoryFedora
    126
    Posted ByLinuxSecurity Advisories
    CVE-2015-1827: It was discovered that the IPA extdom Directory Server plug-in did not correctly perform memory reallocation when handling user account information. A request for a list of groups for a user that belongs to a large number of groups would cause a Directory Server to crash. CVE-2015-0283: It was discovered that the slapi-nis Directory Server plug-in did not correctly perform memory re [More...]
    --------------------------------------------------------------------------------
    Fedora Update Notification
    FEDORA-2015-4788
    2015-03-28 23:38:43
    --------------------------------------------------------------------------------
    
    Name        : slapi-nis
    Product     : Fedora 22
    Version     : 0.54.2
    Release     : 1.fc22
    URL         : http://slapi-nis.fedorahosted.org/
    Summary     : NIS Server and Schema Compatibility plugins for Directory Server
    Description :
    This package provides two plugins for Red Hat and 389 Directory Server.
    
    The NIS Server plugin allows the directory server to act as a NIS server
    for clients, dynamically generating and updating NIS maps according to
    its configuration and the contents of the DIT, and serving the results to
    clients using the NIS protocol as if it were an ordinary NIS server.
    
    The Schema Compatibility plugin allows the directory server to provide an
    alternate view of entries stored in part of the DIT, optionally adding,
    dropping, or renaming attribute values, and optionally retrieving values
    for attributes from multiple entries in the tree.
    
    --------------------------------------------------------------------------------
    Update Information:
    
    CVE-2015-1827: It was discovered that the IPA extdom Directory Server plug-in did not correctly perform memory reallocation when handling user account information. A request for a list of groups for a user that belongs to a large number of groups would cause a Directory Server to crash.
    
    CVE-2015-0283: It was discovered that the slapi-nis Directory Server plug-in did not correctly perform memory reallocation when handling user account information. A request for information about a group with many members, or a request for a user that belongs to a large number of groups, would cause a Directory Server to enter an infinite loop and consume an excessive amount of CPU time.
    
    These issues were discovered by Sumit Bose of Red Hat. 
    --------------------------------------------------------------------------------
    References:
    
      [ 1 ] Bug #1195729 - CVE-2015-0283 slapi-nis: infinite loop in getgrnam_r() and getgrgid_r()
            https://bugzilla.redhat.com/show_bug.cgi?id=1195729
      [ 2 ] Bug #1205200 - CVE-2015-1827 ipa: memory corruption when using get_user_grouplist()
            https://bugzilla.redhat.com/show_bug.cgi?id=1205200
    --------------------------------------------------------------------------------
    
    This update can be installed with the "yum" update program.  Use
    su -c 'yum update slapi-nis' at the command line.
    For more information, refer to "Managing Software with yum",
    available at http://docs.fedoraproject.org/yum/.
    
    All packages are signed with the Fedora Project GPG key.  More details on the
    GPG keys used by the Fedora Project can be found at
    https://fedoraproject.org/keys
    --------------------------------------------------------------------------------
    _______________________________________________
    package-announce mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    https://admin.fedoraproject.org/mailman/listinfo/package-announce
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"67","type":"x","order":"1","pct":57.26,"resources":[]},{"id":"88","title":"Should be more technical","votes":"16","type":"x","order":"2","pct":13.68,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"34","type":"x","order":"3","pct":29.06,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.